import numpy as np
import pandas as pd
from matplotlib import pyplot as plt
from sklearn.datasets.samples_generator import make_blobs
from sklearn.cluster import KMeans
from openpyxl import load_workbook

from sklearn import metrics

wb = load_workbook("/Senarios_Sep-April_figures.xlsx")
ws = wb.get_sheet_by_name('September') 

Numdays = ws['A']  # Column
temp= [[] for x in range(1,31) ]
i=0


for value in ws.iter_rows(min_row=2,values_only=True):
    for j in range (2):
         temp[i].append(value[j])

    i+=1
print(temp)


list1 = list(zip(*temp))
plt.scatter(list(list1[0]),list(list1[1]))
#plt.show()

kmeans = KMeans(n_clusters=3, init='k-means++', max_iter=300, n_init=10, random_state=0)
pred_y = kmeans.fit_predict(temp)
plt.scatter(list(list1[0]),list(list1[1]))
plt.scatter(kmeans.cluster_centers_[:, 0], kmeans.cluster_centers_[:, 1], s=300, c='red')
#plt.show()

kmeans.cluster_centers_
#Labels of each point
labels= kmeans.labels_

mydict = {i: np.where(kmeans.labels_ == i)[0] for i in range(kmeans.n_clusters)}

# Transform this dictionary into list
dictlist = []
for key, value in mydict.items():
    temp1 = [key,value]
    dictlist.append(temp1)




print(dictlist)
print(metrics.silhouette_score(temp, labels, metric = 'euclidean'))
print(metrics.calinski_harabasz_score(temp, labels))